Index: /ruby/branches/0.0/models/tests/test_assumed_library_types.rb
===================================================================
--- /ruby/branches/0.0/models/tests/test_assumed_library_types.rb	(revision 166)
+++ /ruby/branches/0.0/models/tests/test_assumed_library_types.rb	(revision 167)
@@ -4,8 +4,8 @@
 class Assumed_Library_Test < Test::Unit::TestCase
   def setup
-    @interval = OpenEHR::Assumed_Library_Types::Interval.new(1,2)
+    @interval = OpenEhr::AssumedLibraryTypes::Interval.new(1,2)
   end
   def test_initialize
-    assert_instance_of OpenEHR::Assumed_Library_Types::Interval, @interval
+    assert_instance_of OpenEhr::AssumedLibraryTypes::Interval, @interval
   end
   def test_limits_comparable
Index: /ruby/branches/0.0/models/tests/test_reference_model.rb
===================================================================
--- /ruby/branches/0.0/models/tests/test_reference_model.rb	(revision 166)
+++ /ruby/branches/0.0/models/tests/test_reference_model.rb	(revision 167)
@@ -5,36 +5,36 @@
 class ReferenceModelTest < Test::Unit::TestCase
   def setup
-    @authored_resource = OpenEHR::RM::Common::Resource::AUTHORED_RESOURCE.new(:original_language => "ja",
+    @authored_resource = OpenEhr::RM::Common::Resource::AUTHORED_RESOURCE.new(:original_language => "ja",
                                                                               :translations => "en",
                                                                               :description => "test")
-    @translation_details = OpenEHR::RM::Common::Resource::TRANSLATION_DETAILS.new(nil,nil,nil,nil,nil)
+    @translation_details = OpenEhr::RM::Common::Resource::TRANSLATION_DETAILS.new(nil,nil,nil,nil,nil)
 #    @openehr_definitions = OpenEHR::RM::Support::Definition::OpenEHR_Definitions.new
-    @dv_boolean = OpenEHR::RM::Data_Types::Basic::DV_Boolean.new("TRUE")
-    @dv_state = OpenEHR::RM::Data_Types::Basic::DV_State.new("code1",true)
-    @dv_identifier = OpenEHR::RM::Data_Types::Basic::DV_Identifier.new("Ruby Hospital","0123456-0", "Information office", "personal id")
-    @dv_uri = OpenEHR::RM::Data_Types::URI::DV_URI.new("http://www.openehr.jp/changeset/test?cmd=93#file0")
-    @dv_ehr_uri = OpenEHR::RM::Data_Types::URI::DV_EHR_URI.new("ehr://1234567/87284370-2D4B-4e3d-A3F3-F303D2F4F34B@2005-08-02T04:30:00")
-    @dv_text = OpenEHR::RM::Data_Types::Text::DV_Text.new("valid value")
-    @dv_coded_text = OpenEHR::RM::Data_Types::Text::DV_Coded_Text.new("valid value", "AT1000")
-    @dv_paragraph = OpenEHR::RM::Data_Types::Text::DV_Paragraph.new(Set.new(["test1", "test2"]))
+    @dv_boolean = OpenEhr::RM::DataTypes::Basic::DvBoolean.new("TRUE")
+    @dv_state = OpenEhr::RM::DataTypes::Basic::DvState.new("code1",true)
+    @dv_identifier = OpenEhr::RM::DataTypes::Basic::DvIdentifier.new("Ruby Hospital","0123456-0", "Information office", "personal id")
+    @dv_uri = OpenEhr::RM::DataTypes::Uri::DvUri.new("http://www.openehr.jp/changeset/test?cmd=93#file0")
+    @dv_ehr_uri = OpenEhr::RM::DataTypes::Uri::DvEhrUri.new("ehr://1234567/87284370-2D4B-4e3d-A3F3-F303D2F4F34B@2005-08-02T04:30:00")
+    @dv_text = OpenEhr::RM::DataTypes::Text::DvText.new("valid value")
+    @dv_coded_text = OpenEhr::RM::DataTypes::Text::DvCodedText.new("valid value", "AT1000")
+    @dv_paragraph = OpenEhr::RM::DataTypes::Text::DvParagraph.new(Set.new(["test1", "test2"]))
   end
   
   def test_init
-    assert_instance_of OpenEHR::RM::Common::Resource::AUTHORED_RESOURCE, @authored_resource
-    assert_instance_of OpenEHR::RM::Common::Resource::TRANSLATION_DETAILS, @translation_details
-    assert_instance_of OpenEHR::RM::Data_Types::Basic::DV_Boolean, @dv_boolean
-    assert_instance_of OpenEHR::RM::Data_Types::Basic::DV_State, @dv_state
-    assert_instance_of OpenEHR::RM::Data_Types::Basic::DV_Identifier, @dv_identifier
-    assert_instance_of OpenEHR::RM::Data_Types::URI::DV_URI, @dv_uri
-    assert_instance_of OpenEHR::RM::Data_Types::URI::DV_EHR_URI, @dv_ehr_uri
-    assert_instance_of OpenEHR::RM::Data_Types::Text::DV_Text, @dv_text
-    assert_instance_of OpenEHR::RM::Data_Types::Text::DV_Coded_Text, @dv_coded_text
+    assert_instance_of OpenEhr::RM::Common::Resource::AUTHORED_RESOURCE, @authored_resource
+    assert_instance_of OpenEhr::RM::Common::Resource::TRANSLATION_DETAILS, @translation_details
+    assert_instance_of OpenEhr::RM::DataTypes::Basic::DvBoolean, @dv_boolean
+    assert_instance_of OpenEhr::RM::DataTypes::Basic::DvState, @dv_state
+    assert_instance_of OpenEhr::RM::DataTypes::Basic::DvIdentifier, @dv_identifier
+    assert_instance_of OpenEhr::RM::DataTypes::Uri::DvUri, @dv_uri
+    assert_instance_of OpenEhr::RM::DataTypes::Uri::DvEhrUri, @dv_ehr_uri
+    assert_instance_of OpenEhr::RM::DataTypes::Text::DvText, @dv_text
+    assert_instance_of OpenEhr::RM::DataTypes::Text::DvCodedText, @dv_coded_text
   end
 
   def test_constant
-    assert_equal("\r", OpenEHR::RM::Support::Definition::OpenEHR_Definitions::CR)
-    assert_equal("\n", OpenEHR::RM::Support::Definition::OpenEHR_Definitions::LF)
-    assert_equal("\r", OpenEHR::RM::Data_Types::Basic::Data_Value::CR)
-    assert_equal("\n", OpenEHR::RM::Data_Types::Basic::Data_Value::LF)
+    assert_equal("\r", OpenEhr::RM::Support::Definition::OpenEHRDefinitions::CR)
+    assert_equal("\n", OpenEhr::RM::Support::Definition::OpenEHRDefinitions::LF)
+    assert_equal("\r", OpenEhr::RM::DataTypes::Basic::DataValue::CR)
+    assert_equal("\n", OpenEhr::RM::DataTypes::Basic::DataValue::LF)
   end
 
@@ -45,5 +45,5 @@
     # Constraints Value_exists
     assert_raise(ArgumentError){@dv_boolean.value=nil}
-    assert_raise(ArgumentError){OpenEHR::RM::Data_Types::Basic::DV_Boolean.new(nil)}
+    assert_raise(ArgumentError){OpenEhr::RM::DataTypes::Basic::DvBoolean.new(nil)}
   end
 
@@ -55,5 +55,5 @@
     @dv_state.terminal = false
     assert !@dv_state.is_terminal?
-    assert_raise(ArgumentError) {OpenEHR::RM::Data_Types::Basic::DV_State.new(nil,nil)}
+    assert_raise(ArgumentError) {OpenEhr::RM::DataTypes::Basic::DvState.new(nil,nil)}
   end
 
@@ -71,5 +71,5 @@
     @dv_identifier.type = "test id"
     assert_equal("test id", @dv_identifier.type)
-    assert_raise(ArgumentError) {OpenEHR::RM::Data_Types::Basic::DV_Identifier.new(nil, nil, nil, nil)}
+    assert_raise(ArgumentError) {OpenEhr::RM::DataTypes::Basic::DvIdentifier.new(nil, nil, nil, nil)}
   end
 
@@ -123,13 +123,13 @@
 class ReferenceModelSupportIdentificationTest < Test::Unit::TestCase
   def setup
-    @object_id = OpenEHR::RM::Support::Identification::OBJECT_ID.new
-    @terminology_id = OpenEHR::RM::Support::Identification::TERMINOLOGY_ID.new('terminology','version')
-    @archetype_id = OpenEHR::RM::Support::Identification::ARCHETYPE_ID.new
+    @object_id = OpenEhr::RM::Support::Identification::OBJECT_ID.new
+    @terminology_id = OpenEhr::RM::Support::Identification::TERMINOLOGY_ID.new('terminology','version')
+    @archetype_id = OpenEhr::RM::Support::Identification::ARCHETYPE_ID.new
   end
   
   def test_init
-    assert_instance_of OpenEHR::RM::Support::Identification::OBJECT_ID, @object_id
-    assert_instance_of OpenEHR::RM::Support::Identification::TERMINOLOGY_ID, @terminology_id
-    assert_instance_of OpenEHR::RM::Support::Identification::ARCHETYPE_ID, @archetype_id
+    assert_instance_of OpenEhr::RM::Support::Identification::OBJECT_ID, @object_id
+    assert_instance_of OpenEhr::RM::Support::Identification::TERMINOLOGY_ID, @terminology_id
+    assert_instance_of OpenEhr::RM::Support::Identification::ARCHETYPE_ID, @archetype_id
 
   end
Index: /ruby/branches/0.5.0/COPYING
===================================================================
--- /ruby/branches/0.5.0/COPYING	(revision 166)
+++ /ruby/branches/0.5.0/COPYING	(revision 167)
@@ -1,3 +1,10 @@
 openEHR Open Source Software License
 
-The openEHR Foundation uses the Mozilla Tri-license 1.1 on all software copyrighted to the Foundation. This licence essentially provides the user a choice of licence conditions under which to operate with any given piece of software, being: the Mozilla Public licence (MPL), and the Free Software Foundation GNU General Public Licence (GPL) and Lesser GNU Public Licence (LGPL). See the Mozilla relicensing FAQ for details of this license. This in no way constrains the way in which software created by other organisations is licenced. 
+The openEHR Foundation uses the Mozilla Tri-license 1.1 on all software
+copyrighted to the Foundation. This licence essentially provides the user
+a choice of licence conditions under which to operate with any given piece
+of software, being: the Mozilla Public licence (MPL), and the Free Software
+Foundation GNU General Public Licence (GPL) and Lesser GNU Public Licence
+(LGPL). See the Mozilla relicensing FAQ for details of this license.
+This in no way constrains the way in which software created by other
+organisations is licenced. 
Index: /ruby/branches/0.5.0/bin/adl_validator.rb
===================================================================
--- /ruby/branches/0.5.0/bin/adl_validator.rb	(revision 166)
+++ /ruby/branches/0.5.0/bin/adl_validator.rb	(revision 167)
@@ -6,5 +6,5 @@
 require 'net/http'
 
-module OpenEHR
+module OpenEhr
   module CommandLine
     class Arguments < Hash
@@ -39,5 +39,5 @@
             when /\A(http:\/\/.*)/
               name = $1
-              input = case response = Net::HTTP.get_response(URI.parse($1))
+              input = case response = Net::HTTP.get_response(Uri.parse($1))
                       when Net::HTTPSuccess   
                         response.body
@@ -73,6 +73,6 @@
 if __FILE__ == $0
   begin
-    arguments = OpenEHR::CommandLine::Arguments.new(ARGV)
-    validator = OpenEHR::CommandLine::ADLValidator.new(arguments)
+    arguments = OpenEhr::CommandLine::Arguments.new(ARGV)
+    validator = OpenEhr::CommandLine::ADLValidator.new(arguments)
     validator.run
   end
Index: /ruby/branches/0.5.0/doc/README_FOR_APP
===================================================================
--- /ruby/branches/0.5.0/doc/README_FOR_APP	(revision 167)
+++ /ruby/branches/0.5.0/doc/README_FOR_APP	(revision 167)
@@ -0,0 +1,2 @@
+Use this README file to introduce your application and point to useful places in the API for learning more.
+Run "rake doc:app" to generate API documentation for your models, controllers, helpers, and libraries.
Index: /ruby/branches/0.5.0/doc/api
===================================================================
--- /ruby/branches/0.5.0/doc/api	(revision 167)
+++ /ruby/branches/0.5.0/doc/api	(revision 167)
@@ -0,0 +1,1 @@
+link /usr/share/doc/rails/html
Index: /ruby/branches/0.5.0/lib/adl_parser/lib/adl_parser.rb
===================================================================
--- /ruby/branches/0.5.0/lib/adl_parser/lib/adl_parser.rb	(revision 166)
+++ /ruby/branches/0.5.0/lib/adl_parser/lib/adl_parser.rb	(revision 167)
@@ -9,5 +9,5 @@
 require 'logger'
 
-module OpenEHR
+module OpenEhr
 
   if $DEBUG
Index: /ruby/branches/0.5.0/lib/adl_parser/lib/parser.rb
===================================================================
--- /ruby/branches/0.5.0/lib/adl_parser/lib/parser.rb	(revision 166)
+++ /ruby/branches/0.5.0/lib/adl_parser/lib/parser.rb	(revision 167)
@@ -20,5 +20,5 @@
 
 
-module OpenEHR
+module OpenEhr
   module ADL
     class Parser < Racc::Parser
Index: /ruby/branches/0.5.0/lib/adl_parser/lib/scanner.rb
===================================================================
--- /ruby/branches/0.5.0/lib/adl_parser/lib/scanner.rb	(revision 166)
+++ /ruby/branches/0.5.0/lib/adl_parser/lib/scanner.rb	(revision 167)
@@ -4,5 +4,5 @@
 
 
-module OpenEHR
+module OpenEhr
   module ADL
     module Scanner
@@ -13,5 +13,5 @@
             @parser = lambda do |input|
               Yaparc::Apply.new(Yaparc::Regex.new(/\A\[[a-zA-Z0-9()\._-]+::[a-zA-Z0-9\._-]+\]/)) do |match|
-                OpenEHR::LOG.debug("V_QUALIFIED_TERM_CODE_REF: #{match}")
+                OpenEhr::LOG.debug("V_QUALIFIED_TERM_CODE_REF: #{match}")
                 [:V_QUALIFIED_TERM_CODE_REF, match]
               end
@@ -25,5 +25,5 @@
             @parser = lambda do |input|
               Yaparc::Apply.new(Yaparc::Regex.new(/\A\[[a-zA-Z0-9][a-zA-Z0-9._\-]*\]/)) do |match|
-                OpenEHR::LOG.debug("V_TERM_CODE_REF: #{match}")
+                OpenEhr::LOG.debug("V_TERM_CODE_REF: #{match}")
                 [:V_LOCAL_TERM_CODE_REF, match]
               end
@@ -37,5 +37,5 @@
             @parser = lambda do |input|
               Yaparc::Apply.new(Yaparc::Regex.new(/\A\[[a-zA-Z0-9._\- ]+::[a-zA-Z0-9._\- ]+\]/)) do |match|
-                OpenEHR::LOG.debug("ERR_V_QUALIFIED_TERM_CODE_REF: #{match}")
+                OpenEhr::LOG.debug("ERR_V_QUALIFIED_TERM_CODE_REF: #{match}")
                 [:ERR_V_QUALIFIED_TERM_CODE_REF, match]
               end
@@ -49,5 +49,5 @@
             @parser = lambda do |input|
               Yaparc::Apply.new(Yaparc::Regex.new(/\A[A-Z][a-zA-Z0-9_]*/)) do |match|
-                OpenEHR::LOG.debug("V_TYPE_IDENTIFIER: #{match}")
+                OpenEhr::LOG.debug("V_TYPE_IDENTIFIER: #{match}")
                 [:V_TYPE_IDENTIFIER, match]
               end
@@ -61,5 +61,5 @@
             @parser = lambda do |input|
               Yaparc::Apply.new(Yaparc::Regex.new(/\A[A-Z][a-zA-Z0-9_]*<[a-zA-Z0-9,_<>]+>/)) do |match|
-                OpenEHR::LOG.debug("V_GENERIC_TYPE_IDENTIFIER: #{match}")
+                OpenEhr::LOG.debug("V_GENERIC_TYPE_IDENTIFIER: #{match}")
                 [:V_GENERIC_TYPE_IDENTIFIER, match]
               end
@@ -74,5 +74,5 @@
             @parser = lambda do |input|
               Yaparc::Apply.new(Yaparc::Regex.new(/\Aa[ct][0-9.]+/)) do |match|
-                OpenEHR::LOG.debug("V_LOCAL_CODE: #{match}")
+                OpenEhr::LOG.debug("V_LOCAL_CODE: #{match}")
                 [:V_LOCAL_CODE, match]
               end
@@ -86,5 +86,5 @@
             @parser = lambda do |input|
               Yaparc::Apply.new(Yaparc::Regex.new(/\A"([^"]*)"/m)) do |match|
-                OpenEHR::LOG.debug("V_STRING: #{match}")
+                OpenEhr::LOG.debug("V_STRING: #{match}")
                 [:V_STRING, match]
               end
@@ -98,5 +98,5 @@
             @parser = lambda do |input|
               Yaparc::Apply.new(Yaparc::Regex.new(/\A[0-9]+\.[0-9]+|[0-9]+\.[0-9]+[eE][+-]?[0-9]+/)) do |match|
-                OpenEHR::LOG.debug("V_REAL: #{match}")
+                OpenEhr::LOG.debug("V_REAL: #{match}")
                 [:V_REAL, match]
               end
@@ -113,5 +113,5 @@
                                 Yaparc::Alt.new(Yaparc::Regex.new(/\AP([0-9]+|[yY])?([0-9]+|[mM])?([0-9]+|[wW])?([0-9]+|[dD])?T([0-9]+|[hH])?([0-9]+|[mM])?([0-9]+|[sS])?/),
                                                 Yaparc::Regex.new(/\AP([0-9]+|[yY])?([0-9]+|[mM])?([0-9]+|[wW])?([0-9]+|[dD])?/))) do |match|
-                OpenEHR::LOG.debug("V_ISO8601_DURATION: #{match}")
+                OpenEhr::LOG.debug("V_ISO8601_DURATION: #{match}")
                 [:V_ISO8601_DURATION, match]
               end
@@ -135,13 +135,13 @@
             @parser = lambda do |input|
               Yaparc::Alt.new(Reserved.new,
-                              OpenEHR::ADL::Scanner::Common::V_QUALIFIED_TERM_CODE_REF.new,
-                              OpenEHR::ADL::Scanner::Common::V_LOCAL_TERM_CODE_REF.new,
-                              OpenEHR::ADL::Scanner::Common::ERR_V_QUALIFIED_TERM_CODE_REF.new,
-                              OpenEHR::ADL::Scanner::Common::V_TYPE_IDENTIFIER.new,
-                              OpenEHR::ADL::Scanner::Common::V_GENERIC_TYPE_IDENTIFIER.new,
-                              OpenEHR::ADL::Scanner::Common::V_STRING.new,
-                              OpenEHR::ADL::Scanner::Common::V_LOCAL_CODE.new,
-                              OpenEHR::ADL::Scanner::Common::V_REAL.new,
-                              OpenEHR::ADL::Scanner::Common::V_ISO8601_DURATION.new
+                              OpenEhr::ADL::Scanner::Common::V_QUALIFIED_TERM_CODE_REF.new,
+                              OpenEhr::ADL::Scanner::Common::V_LOCAL_TERM_CODE_REF.new,
+                              OpenEhr::ADL::Scanner::Common::ERR_V_QUALIFIED_TERM_CODE_REF.new,
+                              OpenEhr::ADL::Scanner::Common::V_TYPE_IDENTIFIER.new,
+                              OpenEhr::ADL::Scanner::Common::V_GENERIC_TYPE_IDENTIFIER.new,
+                              OpenEhr::ADL::Scanner::Common::V_STRING.new,
+                              OpenEhr::ADL::Scanner::Common::V_LOCAL_CODE.new,
+                              OpenEhr::ADL::Scanner::Common::V_REAL.new,
+                              OpenEhr::ADL::Scanner::Common::V_ISO8601_DURATION.new
                               )
             end
@@ -155,5 +155,5 @@
           def initialize
             @parser = lambda do |input|
-              reserved_parsers = OpenEHR::ADL::Scanner::DADL::RESERVED.map do |keyword| 
+              reserved_parsers = OpenEhr::ADL::Scanner::DADL::RESERVED.map do |keyword|
                 Yaparc::Tokenize.new(
                                      Yaparc::Literal.new(keyword[0],false)
@@ -161,9 +161,9 @@
               end
               Yaparc::Alt.new(Yaparc::Apply.new(Yaparc::Alt.new(*reserved_parsers)) do |match|
-                                OpenEHR::LOG.debug("Reserved: #{match}")
-                                [OpenEHR::ADL::Scanner::DADL::RESERVED[match], OpenEHR::ADL::Scanner::DADL::RESERVED[match]]
+                                OpenEhr::LOG.debug("Reserved: #{match}")
+                                [OpenEhr::ADL::Scanner::DADL::RESERVED[match], OpenEhr::ADL::Scanner::DADL::RESERVED[match]]
                               end,
                               Yaparc::Apply.new(Yaparc::Regex.new(/\A[a-z][a-zA-Z0-9_]*/)) do |match|
-                                OpenEHR::LOG.debug("V_ATTRIBUTE_IDENTIFIER: #{match}")
+                                OpenEhr::LOG.debug("V_ATTRIBUTE_IDENTIFIER: #{match}")
                                 [:V_ATTRIBUTE_IDENTIFIER, match]
                               end)
@@ -213,5 +213,5 @@
             @parser = lambda do |input|
               Yaparc::Apply.new(Yaparc::Regex.new(/\A[yY][yY][yY][yY]-[mM?X][mM?X]-[dD?X][dD?X][T\t][hH?X][hH?X]:[mM?X][mM?X]:[sS?X][sS?X]/)) do |match|
-                OpenEHR::LOG.debug("V_ISO8601_DATE_TIME_CONSTRAINT_PATTERN: #{match}")
+                OpenEhr::LOG.debug("V_ISO8601_DATE_TIME_CONSTRAINT_PATTERN: #{match}")
                 [:V_ISO8601_DATE_TIME_CONSTRAINT_PATTERN, match]
               end
@@ -226,5 +226,5 @@
             @parser = lambda do |input|
               Yaparc::Apply.new(Yaparc::Regex.new(/\A[yY][yY][yY][yY]-[mM?X][mM?X]-[dD?X][dD?X]/)) do |match|
-                OpenEHR::LOG.debug("V_ISO8601_DATE_CONSTRAINT_PATTERN: #{match}")
+                OpenEhr::LOG.debug("V_ISO8601_DATE_CONSTRAINT_PATTERN: #{match}")
                 [:V_ISO8601_DATE_CONSTRAINT_PATTERN, match]
               end
@@ -239,5 +239,5 @@
             @parser = lambda do |input|
               Yaparc::Apply.new(Yaparc::Regex.new(/\A[hH][hH]:[mM?X][mM?X]:[sS?X][sS?X]/)) do |match|
-                OpenEHR::LOG.debug("V_ISO8601_TIME_CONSTRAINT_PATTERN: #{match}")
+                OpenEhr::LOG.debug("V_ISO8601_TIME_CONSTRAINT_PATTERN: #{match}")
                 [:V_ISO8601_TIME_CONSTRAINT_PATTERN, match]
               end
@@ -253,5 +253,5 @@
               Yaparc::Apply.new(Yaparc::Alt.new(Yaparc::Regex.new(/\AP[yY]?[mM]?[wW]?[dD]?T[hH]?[mM]?[sS]?/),
                                                 Yaparc::Regex.new(/\AP[yY]?[mM]?[wW]?[dD]?/))) do |match|
-                OpenEHR::LOG.debug("V_ISO8601_DURATION_CONSTRAINT_PATTERN: #{match}")
+                OpenEhr::LOG.debug("V_ISO8601_DURATION_CONSTRAINT_PATTERN: #{match}")
                 [:V_ISO8601_DURATION_CONSTRAINT_PATTERN, match]
               end
@@ -266,5 +266,5 @@
             @parser = lambda do |input|
               Yaparc::Apply.new(Yaparc::Regex.new(/\A[A-Z][a-zA-Z0-9_]*[ \n]*\</)) do |match|
-                OpenEHR::LOG.debug("V_C_DOMAIN_TYPE: #{match}")
+                OpenEhr::LOG.debug("V_C_DOMAIN_TYPE: #{match}")
                 [:START_V_C_DOMAIN_TYPE_BLOCK, match]
               end
@@ -280,17 +280,17 @@
                               V_ISO8601_DATE_CONSTRAINT_PATTERN.new,
                               V_ISO8601_TIME_CONSTRAINT_PATTERN.new,
-                              OpenEHR::ADL::Scanner::Common::V_ISO8601_DURATION.new,
+                              OpenEhr::ADL::Scanner::Common::V_ISO8601_DURATION.new,
                               V_C_DOMAIN_TYPE.new,
                               V_ISO8601_DURATION_CONSTRAINT_PATTERN.new,
                               Reserved.new,
-                              OpenEHR::ADL::Scanner::Common::V_QUALIFIED_TERM_CODE_REF.new,
-                              OpenEHR::ADL::Scanner::Common::V_LOCAL_TERM_CODE_REF.new,
-                              OpenEHR::ADL::Scanner::Common::ERR_V_QUALIFIED_TERM_CODE_REF.new,
-                              OpenEHR::ADL::Scanner::Common::V_TYPE_IDENTIFIER.new,
-                              OpenEHR::ADL::Scanner::Common::V_GENERIC_TYPE_IDENTIFIER.new,
-                              OpenEHR::ADL::Scanner::Common::V_STRING.new,
-                              OpenEHR::ADL::Scanner::Common::V_LOCAL_CODE.new,
-                              OpenEHR::ADL::Scanner::Common::V_REAL.new,
-                              OpenEHR::ADL::Scanner::Common::V_ISO8601_DURATION.new
+                              OpenEhr::ADL::Scanner::Common::V_QUALIFIED_TERM_CODE_REF.new,
+                              OpenEhr::ADL::Scanner::Common::V_LOCAL_TERM_CODE_REF.new,
+                              OpenEhr::ADL::Scanner::Common::ERR_V_QUALIFIED_TERM_CODE_REF.new,
+                              OpenEhr::ADL::Scanner::Common::V_TYPE_IDENTIFIER.new,
+                              OpenEhr::ADL::Scanner::Common::V_GENERIC_TYPE_IDENTIFIER.new,
+                              OpenEhr::ADL::Scanner::Common::V_STRING.new,
+                              OpenEhr::ADL::Scanner::Common::V_LOCAL_CODE.new,
+                              OpenEhr::ADL::Scanner::Common::V_REAL.new,
+                              OpenEhr::ADL::Scanner::Common::V_ISO8601_DURATION.new
                               )
             end
@@ -310,9 +310,9 @@
               end
               Yaparc::Alt.new(Yaparc::Apply.new(Yaparc::Alt.new(*reserved_parsers)) do |match|
-                                OpenEHR::LOG.debug("Reserved: #{match}")
-                                [OpenEHR::ADL::Scanner::CADL::RESERVED[match], OpenEHR::ADL::Scanner::CADL::RESERVED[match]]
+                                OpenEhr::LOG.debug("Reserved: #{match}")
+                                [OpenEhr::ADL::Scanner::CADL::RESERVED[match], OpenEhr::ADL::Scanner::CADL::RESERVED[match]]
                               end,
                               Yaparc::Apply.new(Yaparc::Regex.new(/\A[a-z][a-zA-Z0-9_]*/)) do |match|
-                                OpenEHR::LOG.debug("V_ATTRIBUTE_IDENTIFIER: #{match}")
+                                OpenEhr::LOG.debug("V_ATTRIBUTE_IDENTIFIER: #{match}")
                                 [:V_ATTRIBUTE_IDENTIFIER, match]
                               end)
Index: /ruby/branches/0.5.0/lib/adl_parser/lib/shell.rb
===================================================================
--- /ruby/branches/0.5.0/lib/adl_parser/lib/shell.rb	(revision 166)
+++ /ruby/branches/0.5.0/lib/adl_parser/lib/shell.rb	(revision 167)
@@ -3,5 +3,5 @@
 require 'stringio'
 
-module OpenEHR
+module OpenEhr
   module Application
     class Shell
Index: /ruby/branches/0.5.0/lib/adl_parser/lib/validator.rb
===================================================================
--- /ruby/branches/0.5.0/lib/adl_parser/lib/validator.rb	(revision 166)
+++ /ruby/branches/0.5.0/lib/adl_parser/lib/validator.rb	(revision 167)
@@ -3,5 +3,5 @@
 
 
-module OpenEHR
+module OpenEhr
   module ADL
 
Index: /ruby/branches/0.5.0/lib/adl_parser/test/parser_test.rb
===================================================================
--- /ruby/branches/0.5.0/lib/adl_parser/test/parser_test.rb	(revision 166)
+++ /ruby/branches/0.5.0/lib/adl_parser/test/parser_test.rb	(revision 167)
@@ -16,7 +16,7 @@
     assert_nothing_raised do
       result = @parser.parse(laboratory_request, 'openEHR-EHR-ITEM_TREE.Laboratory_request.v1.adl')
-      assert_instance_of OpenEHR::AM::Archetype::ARCHETYPE, result
-      assert_instance_of OpenEHR::AM::Archetype::Archetype_Description::ARCHETYPE_DESCRIPTION, result.description
-      assert_instance_of OpenEHR::AM::Archetype::Constraint_Model::C_COMPLEX_OBJECT, result.definition
+      assert_instance_of OpenEhr::AM::Archetype::ARCHETYPE, result
+      assert_instance_of OpenEhr::AM::Archetype::Archetype_Description::ARCHETYPE_DESCRIPTION, result.description
+      assert_instance_of OpenEhr::AM::Archetype::Constraint_Model::C_COMPLEX_OBJECT, result.definition
 #      assert_equal '', result.definition
     end
@@ -25,7 +25,7 @@
     assert_nothing_raised do
       result = @parser.parse(apgar, 'openEHR-EHR-OBSERVATION.apgar.v1.adl')
-      assert_instance_of OpenEHR::AM::Archetype::ARCHETYPE, result
-      assert_instance_of OpenEHR::AM::Archetype::Archetype_Description::ARCHETYPE_DESCRIPTION, result.description
-      assert_instance_of OpenEHR::AM::Archetype::Constraint_Model::C_COMPLEX_OBJECT, result.definition
+      assert_instance_of OpenEhr::AM::Archetype::ARCHETYPE, result
+      assert_instance_of OpenEhr::AM::Archetype::Archetype_Description::ARCHETYPE_DESCRIPTION, result.description
+      assert_instance_of OpenEhr::AM::Archetype::Constraint_Model::C_COMPLEX_OBJECT, result.definition
     end
 
Index: /ruby/branches/0.5.0/lib/adl_parser/test/scanner_test.rb
===================================================================
--- /ruby/branches/0.5.0/lib/adl_parser/test/scanner_test.rb	(revision 166)
+++ /ruby/branches/0.5.0/lib/adl_parser/test/scanner_test.rb	(revision 167)
@@ -5,12 +5,12 @@
 class YaparcParserTest < Test::Unit::TestCase
   def test_RootScanner
-    parser = OpenEHR::ADL::Scanner::DADL::RootScanner.new
-    assert_instance_of OpenEHR::ADL::Scanner::DADL::RootScanner,parser
+    parser = OpenEhr::ADL::Scanner::DADL::RootScanner.new
+    assert_instance_of OpenEhr::ADL::Scanner::DADL::RootScanner,parser
     result = parser.parse('')
   end
 
   def test_V_LOCAL_TERM_CODE_REF
-    parser = OpenEHR::ADL::Scanner::Common::V_LOCAL_TERM_CODE_REF.new
-    assert_instance_of OpenEHR::ADL::Scanner::Common::V_LOCAL_TERM_CODE_REF,parser
+    parser = OpenEhr::ADL::Scanner::Common::V_LOCAL_TERM_CODE_REF.new
+    assert_instance_of OpenEhr::ADL::Scanner::Common::V_LOCAL_TERM_CODE_REF,parser
     result = parser.parse('[en-us]')
     assert_instance_of Yaparc::Result::OK, result
@@ -18,6 +18,6 @@
 
   def test_V_QUALIFIED_TERM_CODE_REF
-    parser = OpenEHR::ADL::Scanner::Common::V_QUALIFIED_TERM_CODE_REF.new
-    assert_instance_of OpenEHR::ADL::Scanner::Common::V_QUALIFIED_TERM_CODE_REF,parser
+    parser = OpenEhr::ADL::Scanner::Common::V_QUALIFIED_TERM_CODE_REF.new
+    assert_instance_of OpenEhr::ADL::Scanner::Common::V_QUALIFIED_TERM_CODE_REF,parser
     result = parser.parse('[ISO_639::en]')
     assert_instance_of Yaparc::Result::OK, result
@@ -27,6 +27,6 @@
 
   def test_V_STRING
-    parser = OpenEHR::ADL::Scanner::Common::V_STRING.new
-    assert_instance_of OpenEHR::ADL::Scanner::Common::V_STRING,parser
+    parser = OpenEhr::ADL::Scanner::Common::V_STRING.new
+    assert_instance_of OpenEhr::ADL::Scanner::Common::V_STRING,parser
     result = parser.parse('"this is a string"')
     assert_instance_of Yaparc::Result::OK, result
@@ -36,6 +36,6 @@
 
   def test_V_REAL
-    parser = OpenEHR::ADL::Scanner::Common::V_REAL.new
-    assert_instance_of OpenEHR::ADL::Scanner::Common::V_REAL,parser
+    parser = OpenEhr::ADL::Scanner::Common::V_REAL.new
+    assert_instance_of OpenEhr::ADL::Scanner::Common::V_REAL,parser
     result = parser.parse('0.1')
     assert_instance_of Yaparc::Result::OK, result
@@ -47,6 +47,6 @@
 
   def test_V_ISO8601_DURATION
-    parser = OpenEHR::ADL::Scanner::Common::V_ISO8601_DURATION.new
-    assert_instance_of OpenEHR::ADL::Scanner::Common::V_ISO8601_DURATION,parser
+    parser = OpenEhr::ADL::Scanner::Common::V_ISO8601_DURATION.new
+    assert_instance_of OpenEhr::ADL::Scanner::Common::V_ISO8601_DURATION,parser
     result = parser.parse('PT1M')
     assert_instance_of Yaparc::Result::OK, result
@@ -57,6 +57,6 @@
 
   def test_V_ISO8601_DATE_TIME_CONSTRAINT_PATTERN
-    parser = OpenEHR::ADL::Scanner::CADL::V_ISO8601_DATE_TIME_CONSTRAINT_PATTERN.new
-    assert_instance_of OpenEHR::ADL::Scanner::CADL::V_ISO8601_DATE_TIME_CONSTRAINT_PATTERN,parser
+    parser = OpenEhr::ADL::Scanner::CADL::V_ISO8601_DATE_TIME_CONSTRAINT_PATTERN.new
+    assert_instance_of OpenEhr::ADL::Scanner::CADL::V_ISO8601_DATE_TIME_CONSTRAINT_PATTERN,parser
     result = parser.parse('yyyy-??-??T??:??:??')
     assert_instance_of Yaparc::Result::OK, result
@@ -64,6 +64,6 @@
 
   def test_V_ISO8601_DATE_CONSTRAINT_PATTERN
-    parser = OpenEHR::ADL::Scanner::CADL::V_ISO8601_DATE_CONSTRAINT_PATTERN.new
-    assert_instance_of OpenEHR::ADL::Scanner::CADL::V_ISO8601_DATE_CONSTRAINT_PATTERN,parser
+    parser = OpenEhr::ADL::Scanner::CADL::V_ISO8601_DATE_CONSTRAINT_PATTERN.new
+    assert_instance_of OpenEhr::ADL::Scanner::CADL::V_ISO8601_DATE_CONSTRAINT_PATTERN,parser
     result = parser.parse('yyyy-mm-XX-dd')
     assert_instance_of Yaparc::Result::OK, result
@@ -71,6 +71,6 @@
 
   def test_V_ISO8601_TIME_CONSTRAINT_PATTERN
-    parser = OpenEHR::ADL::Scanner::CADL::V_ISO8601_TIME_CONSTRAINT_PATTERN.new
-    assert_instance_of OpenEHR::ADL::Scanner::CADL::V_ISO8601_TIME_CONSTRAINT_PATTERN,parser
+    parser = OpenEhr::ADL::Scanner::CADL::V_ISO8601_TIME_CONSTRAINT_PATTERN.new
+    assert_instance_of OpenEhr::ADL::Scanner::CADL::V_ISO8601_TIME_CONSTRAINT_PATTERN,parser
     result = parser.parse('hh:mm:ss:??')
     assert_instance_of Yaparc::Result::OK, result
@@ -78,5 +78,5 @@
 
   def test_dadl_reserved
-    parser = OpenEHR::ADL::Scanner::DADL::RootScanner.new
+    parser = OpenEhr::ADL::Scanner::DADL::RootScanner.new
     result = parser.parse('then')
     assert_instance_of Yaparc::Result::OK, result
@@ -87,6 +87,6 @@
 
   def test_cadl
-    parser = OpenEHR::ADL::Scanner::CADL::RootScanner.new
-    assert_instance_of OpenEHR::ADL::Scanner::CADL::RootScanner,parser
+    parser = OpenEhr::ADL::Scanner::CADL::RootScanner.new
+    assert_instance_of OpenEhr::ADL::Scanner::CADL::RootScanner,parser
     result = parser.parse('PT1M')
     assert_instance_of Yaparc::Result::OK, result
@@ -98,5 +98,5 @@
 
   def test_cadl_reserved
-    parser = OpenEHR::ADL::Scanner::CADL::RootScanner.new
+    parser = OpenEhr::ADL::Scanner::CADL::RootScanner.new
     result = parser.parse('then')
     assert_instance_of Yaparc::Result::OK, result
